1. Contacts
Commusoft developer
  • Introduction
    • Introduction
    • Key concepts and relationships
    • Authentication
    • Rate-limits
    • Requests and responses
    • Core concepts and patters
    • Support and technical support
  • CRM
    • Properties
      • List properties
      • Properties
      • Customers
      • Companies
      • Work addresses
      • Customers
      • Companies
      • Work addresses
      • Properties
    • Contacts
      • List property contacts
        GET
      • Property contacts
        POST
      • Property contacts
        PATCH
      • Property contacts
        DELETE
    • Scheduled activities
      • List scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Complete Scheduled Activity
  • Sales
    • Opportunities
      • List opportunities
      • Opportunities
      • Opportunities
      • Opportunities
      • Opportunities
    • Actions
      • Change opportunity stage
  • Jobs
    • Jobs
      • List jobs
      • Jobs
      • Jobs
      • Jobs
      • Jobs
    • Actions
      • Put on hold
      • Mark as free of charge
      • Mark as aborted
      • Change job stage
      • Mark as complete
      • Remove on hold
  • Settings
    • List titles
      GET
    • List customer types
      GET
    • List advertising types
      GET
    • List telephone types
      GET
    • List business units
      GET
    • List user groups
      GET
    • List opportunity pipelines
      GET
    • List opportunity stages
      GET
    • List provinces
      GET
    • List job description templates
      GET
  • Webhooks
    • Webhooks
    • Example PHP script
    • Webhooks
    • Webhooks
  1. Contacts

Property contacts

Developing
PATCH
/contacts/{contactID}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢204Success
Headers

This response does not have a body.
🟠400400 Bad request
🟠401401 Unauthorised
🟠403403 Forbidden
🟠404404 Not found
🟠409409 Conflict
🟠429429 Too many requests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH '/contacts/6118' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "firstName": "Uriel",
    "lastName": "Lakin",
    "position": "National Security Orchestrator",
    "email": "Mercedes_Konopelski@hotmail.com",
    "telephones": [
        {
            "type": "Landline",
            "number": "123456789456"
        },
        {
            "type": "Landline",
            "number": "123456789456"
        },
        {
            "type": "Landline",
            "number": "123456789456"
        }
    ],
    "communicationPreference": {
        "phone": false,
        "email": false,
        "sms": true
    }
}'
Response Response Example
400 - Example 1
{
    "error": {
        "code": "string",
        "message": "string",
        "details": {
            "field": "string",
            "code": "string",
            "message": "string"
        }
    }
}
Modified at 2026-05-29 11:38:23
Previous
Property contacts
Next
Property contacts
Built with